##
##  units.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         units
Summary:      Unit Conversion Tool
URL:          http://www.gnu.org/software/units/
Vendor:       Adrian Mariano
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Algorithm
License:      GPL
Version:      2.23
Release:      20240219

#   list of sources
Source0:      http://ftp.gnu.org/gnu/units/units-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  readline
PreReq:       readline

%description
    Units converts quantities expressed in various scales to their
    equivalents in other scales. The units program can only handle
    multiplicative scale changes. For example, it cannot convert Celsius
    to Fahrenheit but it can convert temperature differences between those
    temperature scales.

%track
    prog units = {
        version   = %{version}
        url       = http://ftp.gnu.org/gnu/units/
        regex     = units-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;#!/usr/bin/python;#!%{l_prefix}/bin/python;g' \
        units_cur*
    CC="%{l_cc} %{l_cflags -O} %{l_cppflags}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags} `pkg-config readline --libs-only-L`" \
    LIBS="`pkg-config readline --libs-only-l`" \
    ./configure \
        --prefix=%{l_prefix} \
        --infodir=%{l_prefix}/info \
        --mandir=%{l_prefix}/man
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

